/*
 	File:		FontHandlerVariations.h
 
 	Contains:	QuickDraw GX to PostScript conversion code.
 						File contains private data structures and definitions 
						for the font handler variations handling code
 
 	Version:	Technology:	Quickdraw GX 1.1.x
 	 
 	Copyright:	 1991-1997 by Apple Computer, Inc., all rights reserved.
*/

/***********************

	struct: TFHSnapShot
	
	This structure is for the database
	of font snapshots.
*************************/
typedef struct {

	fhFont							snapShotFont;		// This long will be the font reference for a snapshot  (also id in collection)
	gxFont							theFont;				// The actual font reference.  (This is the collection tag)
	long								dbIndex;				// The index of the variation/bit combination in the database.
																			//		may be value from enumeration dbIndexSentinels below.
} TFHSnapShot;

enum {
	eMainBits = 0,											// signifies snapshot uses main bit array
	eNotPresent = -1										// signifies this varitation/bit combination is not in the font database
};

/************************* Private routines **************************/

OSErr FHAddFontSnapShot(TFontHandlerHdl hFHRec, gxFont theFont, long dbIndex, fhFont *snapshotID);

gxFont FHGetSnapShotFont(TFontHandlerHdl hFHRec, fhFont snapShotFont, long *dbIndex);

long FHCountSnapshots(TFontHandlerHdl hFHRec);

OSErr FHGetIndexedSnapshot(TFontHandlerHdl hFHRec, long index, fhFont *theFont);

Boolean	FHEqualVariations(long num, gxFontVariation* v1, gxFontVariation* v2);



/** Intra segment prototypes for these **/

#if GENERATINGCFM
	#define _FontHandlerGetStyleFont 							FontHandlerGetStyleFont
	#define _FontHandlerGetStyleFontVariations		FontHandlerGetStyleFontVariations
#endif

OSErr _FontHandlerGetStyleFont(TFontHandlerContext context, gxStyle theStyle, fhFont *theFont);

OSErr _FontHandlerGetStyleFontVariations(TFontHandlerContext context, gxStyle theStyle, long *count, gxFontVariation variations[]);
