/*
 	File:		PSIEResources.h
 
 	Contains:	QuickDraw GX to PostScript conversion code.
 						This file contains the resource ID's for the PostScript
						strings for the Web-o'doom implementation
 
 	Version:	Technology:	Quickdraw GX 1.1.x
 	 
 	Copyright:	 1991-1997 by Apple Computer, Inc., all rights reserved.
*/

#include "PSProcSetIds.h"

/* add this to string indecies when using hex text */
#define kAddForHexText		1

#define kOurDictOnStack		0
#define	kOurDictOffStack	kOurDictOnStack + 1
#define kInitComment			kOurDictOffStack + 1
#define kSetLineWidth			kInitComment + 1
#define kSetMiterLim			kSetLineWidth + 1
#define kSetLineCap				kSetMiterLim + 1
#define kSetFlat					kSetLineCap + 1
#define kSetLineJoin			kSetFlat + 1
#define kFillKey					kSetLineJoin + 1
#define kQD2Fill					kFillKey + 1
#define kRectPoints				kQD2Fill + 1
#define kRectFill					kRectPoints + 1
#define kRectStroke				kRectFill + 1
#define kRectPath					kRectStroke + 1
#define kMoveto						kRectPath + 1
#define kRmoveto					kMoveto + 1
#define kRlineto					kRmoveto + 1
#define kClosepath				kRlineto + 1
#define kPointPath				kClosepath + 1
#define kFullPath					kPointPath + 1
#define kEmptyPath				kFullPath + 1
#define kShow							kEmptyPath + 1
#define khShow						kShow + 1
#define kSelectFont				khShow + 1
#define kDoPoint					kSelectFont + 1
#define kDoFixed					kDoPoint + 1
#define kDoString					kDoFixed + 1
#define kDoBoolean				kDoString + 1
#define kDoInt						kDoBoolean + 1
#define kDoMapping				kDoInt + 1
#define kKshow						kDoMapping + 1
#define khKshow						kKshow + 1
#define kKshowH						khKshow + 1
#define khKshowH					kKshowH + 1
#define kKshowV						khKshowH + 1
#define khKshowV					kKshowV + 1
#define kAshow						khKshowV + 1
#define khAshow						kAshow + 1
#define kKshowRH					khAshow + 1
#define khKshowRH					kKshowRH + 1
#define kKshowRV					khKshowRH + 1
#define khKshowRV					kKshowRV + 1
#define kKshowR						khKshowRV + 1
#define khKshowR					kKshowR + 1
#define kRcurveto					khKshowR + 1
#define kSetRGBColor			kRcurveto + 1
#define kSetGray					kSetRGBColor + 1
#define kSetCMYKColor			kSetGray + 1
#define kMapCTM						kSetCMYKColor + 1
#define kGsave						kMapCTM + 1
#define kQD2Grestore			kGsave + 1
#define kRectClip					kQD2Grestore + 1
#define kQD2Clip					kRectClip + 1
#define kImage						kQD2Clip + 1
#define kIndexedImage			kImage + 1
#define kIndexedBitProc		kIndexedImage + 1
#define kL2Image					kIndexedBitProc + 1
#define kMakeDashDict			kL2Image + 1
#define kSetDash					kMakeDashDict + 1
#define kDoNull						kSetDash + 1
#define kDoPop						kDoNull + 1
#define kSetFrame					kDoPop + 1
#define kSetRightIsOut		kSetFrame + 1
#define kSetPattern				kSetRightIsOut + 1
#define kMakePatDict			kSetPattern + 1
#define kMakeBitStrings		kMakePatDict + 1
#define kBitmapProc				kMakeBitStrings + 1
#define kMakeShapeDict		kBitmapProc + 1
#define k1bitBitmap				kMakeShapeDict + 1
#define k1bitBitmapPSRS		k1bitBitmap + 1
#define k1bitBitmapProc		k1bitBitmapPSRS + 1
#define kL2BitmapProc			k1bitBitmapProc + 1 
#define kNewArray					kL2BitmapProc + 1
#define kPutFixed					kNewArray + 1
#define kPutInt						kPutFixed + 1
#define kMakeColorSet			kPutInt + 1
#define kSetColorSet			kMakeColorSet + 1
#define kSetOrMode				kSetColorSet + 1
#define kMakeStyleDict		kSetOrMode + 1
#define kMakeTrDict				kMakeStyleDict + 1

#define k3minus1Roll						kMakeTrDict + 1
#define kFaceFontName						k3minus1Roll + 1
#define kFindFont								kFaceFontName + 1
#define kSetBaseFont						kFindFont + 1
#define kTextFaceFont						kSetBaseFont + 1
#define kMakeSimpleLayeredFont	kTextFaceFont + 1
#define kCurrBaseFont						kMakeSimpleLayeredFont + 1
#define kDoBBox									kCurrBaseFont + 1

#define kTangentFont			kDoBBox + 1
#define kMakeLayerDict		kTangentFont + 1
#define kBeginPSSyn				kMakeLayerDict + 1
#define kEndPSSyn					kBeginPSSyn + 1
#define kDoSave						kEndPSSyn + 1
#define kDoRestore				kDoSave + 1
#define kXYshow						kDoRestore + 1
#define khXYshow					kXYshow + 1
#define kXshow						khXYshow + 1
#define khXshow 					kXshow + 1
#define kYshow						khXshow + 1
#define khYshow 					kYshow + 1
#define kDoScreenParams		khYshow + 1
#define	kSetHalftone			kDoScreenParams + 1
#define kSetDefaultScreen kSetHalftone + 1
#define kDefineDefaultScreen kSetDefaultScreen + 1
#define kFill 						kDefineDefaultScreen + 1
#define kEofill 					kFill + 1
#define kStroke						kEofill + 1
#define kLineto						kStroke + 1
#define kCurveto					kLineto + 1
#define kRectPointsAbs		kCurveto + 1
#define kMakeXYZSpace			kRectPointsAbs + 1
#define MakeCSDict				kMakeXYZSpace + 1
#define kSetColorSpace		MakeCSDict + 1
#define kSetColorF				kSetColorSpace + 1
#define kMakeCalRGBSpace	kSetColorF + 1
#define kMakeResponseFunc	kMakeCalRGBSpace + 1
#define kDefineCRD				kMakeResponseFunc + 1
#define kUndefineCRD			kDefineCRD + 1

#define knilStyleDict			kUndefineCRD + 1

#define kSetPortableColorSpace knilStyleDict + 1

#define kIdentityProc			kSetPortableColorSpace + 1

#define kSavePortMapping	kIdentityProc + 1

#define kMDBegin kSavePortMapping + 1
#define kMDEnd	 kMDBegin + 1


#define kSetGlobalVM 			kMDEnd + 1
#define kRestoreGlobalVM	kSetGlobalVM + 1
